Bug 1472003 - GHDL tries to link against gnat-6 but should against gnat-7.
GHDL tries to link against gnat-6 but should against gnat-7.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ghdl (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Thomas Sailer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 19:10 EDT by danselmi
Modified: 2017-10-05 22:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: ghdl-0.34dev-0.20170815git0879429a.0.fc26 ghdl-0.34dev-0.20170926git685526e.0.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-05 22:22:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description danselmi 2017-07-17 19:10:16 EDT
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:54.0) Gecko/20100101 Firefox/54.0
Build Identifier: 

GHDL tries to link against libgnat-6:
$ ghdl -e top
/usr/bin/ld: cannot find -lgnat-6
collect2: error: ld returned 1 exit status
ghdl:error: compilation error

But as dependency is libgnat-7 listed and installed:
$ dnf repoquery --requires ghdl | grep gnat
libgnat-7.so()(64bit)




Reproducible: Always

Steps to Reproduce:
0. install ghdl        (dnf install ghdl)
1. analyse a vhdl file (ghdl -a top.vhd)
2. elaborate entity    (ghdl -e top)
Actual Results:  
/usr/bin/ld: cannot find -lgnat-6
collect2: error: ld returned 1 exit status
ghdl:error: compilation error


Expected Results:  
It should build an executable file.
Comment 1 Chris Rosewarne 2017-07-24 04:28:08 EDT
Also ran into the same problem.
Comment 2 Fedora Update System 2017-08-15 12:09:36 EDT
ghdl-0.34dev-0.20170815git0879429a.0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6a9da5490
Comment 3 Fedora Update System 2017-08-15 12:09:56 EDT
ghdl-0.34dev-0.20170815git0879429a.0.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f699cec9b
Comment 4 Fedora Update System 2017-08-18 17:52:52 EDT
ghdl-0.34dev-0.20170815git0879429a.0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6a9da5490
Comment 5 Fedora Update System 2017-08-19 14:51:39 EDT
ghdl-0.34dev-0.20170815git0879429a.0.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f699cec9b
Comment 6 Fedora Update System 2017-08-28 12:18:48 EDT
ghdl-0.34dev-0.20170815git0879429a.0.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2017-09-26 10:27:45 EDT
ghdl-0.34dev-0.20170926git685526e.0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-953e17fb1b
Comment 8 Fedora Update System 2017-09-27 03:01:50 EDT
ghdl-0.34dev-0.20170926git685526e.0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-953e17fb1b
Comment 9 Fedora Update System 2017-10-05 22:22:17 EDT
ghdl-0.34dev-0.20170926git685526e.0.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.